小白问题: 蓝牙4.0例子import处报错错

Android 码拜 3年前 (2017-04-15) 381次浏览
大家好!
本人在网上看到一个蓝牙ble4.0例子不错,就全部拷贝本人本人的android项目里面,现在在import处报这个错误
小白问题: 蓝牙4.0例子import处报错错
打红线的
import android.bluetooth.le.ScanCallback;
import android.bluetooth.le.ScanResult;
不知从哪里import入?
任何帮助不胜感激!
解决方案

40

这两个类是Android5.0新的扫描方式,按道理不应该会出现导包错误的,这个要具体看你的使用情况。
你假如是想做实际项目可以参考本人的蓝牙BLE基础操作框架http://blog.csdn.net/xiaoyaoyou1212/article/details/52346904,在github开源,并配有调试的demo,已经过实际项目验证,假如有什么问题可以私信本人。

CodeBye 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明小白问题: 蓝牙4.0例子import处报错错
喜欢 (0)
[1034331897@qq.com]
分享 (0)